File Exchange

image thumbnail

Embedded Coder Support Package for Xilinx Zynq Platform

Generate code for the ARM portion of the Zynq-7000 SoC.

70 Downloads

Updated 11 Sep 2019

Editor's Note:

This support package is currently unable to download third-party software for MATLAB R2017a and earlier versions. For details and workaround, see this Bug Report.

MATLAB R2017b and later versions are unaffected.

Embedded Coder® Support Package for Xilinx® Zynq®-7000 Platform supports ANSI® C code generation for the ARM® portion of the Xilinx Zynq SoC. When used in combination with the HDL Coder™ Support Package for Xilinx Zynq-7000 Platform, this solution can program the Xilinx Zynq SoC using C and HDL code generation. The hardware/software codesign workflow spans simulation, prototyping, verification, and implementation.

This support package is functional for R2013b and beyond.

If you have download or installation issues, please contact Technical Support: www.mathworks.com/contact_ts

Comments and Ratings (36)

xikun wu

the third package downloading process is stuck

"The support package is not compatible with your version of MATLAB or operating system"
I am running 2017b on Linux... Stated compatibility is R2014a to R2019a, Win and Linux...

Young Leo

shit! fail to download third-party packages for more than 10 times

No issues encountered during download, install or setup in 18b on Win10.

Li Qian

third party packege can not be downloaded

wei he

说明里写的很清楚,2017a版和以前有问题,点进去按提供的workaround 方法安装成功。

i am trying to use this with R2017b and the Avnet MiniZed support package. The Avnet support package requires Vivado 2017.1 or 2017.2 and in the manage add-on of this support package i cannot force it to accept the 2017.2 instead of the stated 2016.4. Unlike the getting started guide of the Avnet MiniZed support package, there is no finish button for me to force it to accept 2017.2

JINYU ZHANG

我的版本是2017b,说下安装重要步骤:
1.安装时一定要以管理员身份运行matlab
2.将翻墙软件设置成全局代理模式后再下载该app
3.下载完成后配置的时候,一定要按要求安装2016.4sdk
4.配置时网线不要选择直连电脑,而要选择local area network or home network
5.遇到“error while querying removal drive”时,说明你没按要求1打开软件。
6.uart不行时,右键“我的电脑”>属性>设备管理器>将串口改为115200
欢迎加入zedboard新手学习交流群:450026079

This support package doesn't run under Linux! Why can't MATHWORKS fully support Linux????

JINYU ZHANG

Is there a package that is compatible with Zynq Ultrascale+?

lei wang

Embedded Coder Support Package for Xilinx Zynq-7000 Platform,这个硬件支持包有没有人安装成功的,在matlab,我安装不成功不知道是什么原因,安装时报告“”“此容器不存在制定的键”,不知道是什么原因?哪位大神给知道一下

elegant

安装不成功,我都安装好多次了!我用的是2017a,安装其他的都还可以就是这个不行,有没有专业人士来解决啊!!!!帮帮我们吧??谢谢了

Dang Tran

Dang Tran

I have XILINX SDK 2017.2 which is higher than 2016.4. Yet I have an error notification said that
Incompatible Xilinx SDK version found. Recommended version is 2016.4, but found version 2017.2
Why!!!??

Ben Xu

almost tried 50 times to Downloading Third-Party Packages

frank liu

It is really hard to download the offline install package.I tried nearly 50 times and failed.

XILINX SDKが2017.2が使えない。

Marat Uss

Keep calm, everyone.

As been mentioned, looks like the connection to the mirror with those 3rd party tools is unstable. Yes, it is annoying, but keep trying. I've managed to install it after four tries.

Emil

Since Jan 2017 I've been trying to get this Zynq package installed on multiple version of MATLAB without success - the installer have broken link to 3rd party tools - I can't understand how come that is not fixed yet - and how come Mathworks releases a installer package without testing functionality - I have not been able to install any of the hardware support packages - RasPi/Xilinx/Altera/Arduino - all of them seem to have same problem.

XILINX SDKが2017.2しか入手できず、使えません。

Hello,

Download and installation went smooth from 2017b, however my XILINX SDK version is 2017.2 => so I was not able to configure since the add-on is requesting 2016.4.
I would like to stay clear on XILINX side and not have both 2016.4 and 2017.2 installed.

wewe weng

Hello.
I tried to install package and got message: "The support package is not compatible with your version of MATLAB or operating system"
MATLAB is R2017a (but I had the same result at 2016b), OS Linux Mint 18.2 64bit.
Any solutions?

Xiao Fu

连接错误
应用程序无法连接到 MathWorks。有关解决此问题的详细信息,请参阅此 支持文章。

Ming

Long Wang

Hello all, I used to have the same issue for installation. After support from Mathworks, the installation issue has been solved by me. I would like to suggest you connecting Mathworks directly. By the way, my issue has been caused partly because of the firewall of my company.
System set-up for me: Win10 64bit, Matlab R2017a
Eva-Board: ZedBoard - Version C

So far, I am very glad and satisfied with the support from MathWorks, wish you the same.

For requesting support, it is always helpful to send your log file from Mahtworks, for default installation, it is to be found under C:\Users\YoursUserID\AppData\Local\Temp\mathworks_YourUserID.log

xin zhang

Embedded Coder Support Package for Xilinx Zynq-7000 Platform大家这个安装包有大神在MATLAB上安装成功的吗?或者有安装包给小弟发一份啊???

After many attempts, I managed to download it. It seems that the connection to the server is very unstable.

Third party software download, doesn't works. Install failied.

xin zhang

安装不成功,我都安装好多次了!我用的是2017a,安装其他的都还可以就是这个不行,有没有专业人士来解决啊!!!!帮帮我们吧??谢谢了

xin zhang

installed failed!!!!

g l

very good!

bart H

It appears that the "Getting Started with HW/SW Codesign Workflow for Xilinx Zynq Platform" example is broken in R2014a.

In particular the SW interface model generated as part of this demo – has no “Code Generation” options under “Configuration Parameters”.

MATLAB Release Compatibility
Created with R2014a
Compatible with R2014a to R2019b
Platform Compatibility
Windows macOS Linux